Prepping ubuntu package for 4.1.2 release
authorbradymiller <bradymiller@users.sourceforge.net>
Sun, 28 Jul 2013 19:17:44 +0000 (28 12:17 -0700)
committerbradymiller <bradymiller@users.sourceforge.net>
Sun, 4 Aug 2013 20:34:15 +0000 (4 13:34 -0700)
contrib/util/ubuntu_package_scripts/production/README.Debian
contrib/util/ubuntu_package_scripts/production/changelog.Debian
contrib/util/ubuntu_package_scripts/production/control
contrib/util/ubuntu_package_scripts/production/copyright
contrib/util/ubuntu_package_scripts/production/preinst

index 63535c6..5602456 100644 (file)
@@ -46,5 +46,5 @@ just installed it is very helpful.
 
 Authors of debianized OpenEMR:
 ------------------------------
--- Brady Miller <brady@sparmy.com> Wed, 29 Aug 2012 19:34:26 -0700
--- Amalu Obinna <amaluobinna@aol.com> Wed, 29 Aug 2012 19:34:26 -0700
+-- Brady Miller <brady@sparmy.com> Sun, 04 Aug 2013 13:29:45 -0700
+-- Amalu Obinna <amaluobinna@aol.com> Sun, 04 Aug 2013 13:29:45 -0700
index da84ab9..a2b1400 100644 (file)
@@ -1,3 +1,10 @@
+openemr (4.1.2-1) stable; urgency=low
+
+  * New upstream version
+  * Added support with the max_input_vars php setting
+
+ -- Brady Miller <brady@sparmy.com>  Sun, 04 Aug 2013 13:29:45 -0700
+
 openemr (4.1.1-1) stable; urgency=low
 
   * New upstream version
index 2fbc3a9..416f24b 100644 (file)
@@ -1,7 +1,7 @@
 Package: openemr
-Version: 4.1.1-1
+Version: 4.1.2-1
 Maintainer: Brady Miller <brady@sparmy.com>
-Installed-Size: 107000
+Installed-Size: 127000
 Priority: optional
 Section: web
 Architecture: all
index e10af01..24acfe0 100644 (file)
@@ -1,5 +1,5 @@
 This package was debianized by Brady Miller <brady@sparmy.com> on
-Wed, 29 Aug 2012 19:34:26 -0700.
+Sun, 04 Aug 2013 13:29:45 -0700.
 
 It was downloaded from sourceforge.
 
@@ -7,10 +7,10 @@ Upstream Author:
     http://www.open-emr.org
 
 Copyright: 
-    Copyright (C) 2012 http://www.oemr.org
+    Copyright (C) 2013 http://www.oemr.org
 
 License:
     GPL
 
-The Debian packaging is (C) 2012, Brady Miller <brady@sparmy.com> and
+The Debian packaging is (C) 2013, Brady Miller <brady@sparmy.com> and
 is licensed under the GPL, see `/usr/share/common-licenses/GPL'.
index be8c63b..9d8bf92 100644 (file)
@@ -5,7 +5,7 @@
 #the Free Software Foundation; either version 2 of the License, or
 #(at your option) any later version.
 #
-# Copyright 2012
+# Copyright 2013
 # authors: Amalu Obinna <amaluobinna@aol.com>
 #          Brady Miller <brady@sparmy.com>
 #
@@ -213,15 +213,17 @@ upgrade_function () {
             OLD_VERSION="4.0.0-1"
          elif [ "$OLD_VERSION" == "4.1.0" ]; then
             OLD_VERSION="4.1.0-1"
+         elif [ "$OLD_VERSION" == "4.1.1" ]; then
+            OLD_VERSION="4.1.1-1"
          else
             prompt_input openemr/upgrade_not_supported critical ret_result
             unable_exit "Unable to upgrade from $OLD_VERSION version package with $UPGRADETYPE method, so can not upgrade the OpenEMR Package."
          fi
       fi
       #
-      # ONLY acceptable package and converted raw is 3.0.1-1 or 3.1.0-1 or 3.2.0-1 or 4.0.0-1 or 4.1.0-1
+      # ONLY acceptable package and converted raw is 3.0.1-1 or 3.1.0-1 or 3.2.0-1 or 4.0.0-1 or 4.1.0-1 or 4.1.1-1
       #
-      if [ "$OLD_VERSION" != "3.0.1-1" ] && [ "$OLD_VERSION" != "3.1.0-1" ] && [ "$OLD_VERSION" != "3.2.0-1" ]&& [ "$OLD_VERSION" != "4.0.0-1" ] && [ "$OLD_VERSION" != "4.1.0-1" ]; then
+      if [ "$OLD_VERSION" != "3.0.1-1" ] && [ "$OLD_VERSION" != "3.1.0-1" ] && [ "$OLD_VERSION" != "3.2.0-1" ] && [ "$OLD_VERSION" != "4.0.0-1" ] && [ "$OLD_VERSION" != "4.1.0-1" ] && [ "$OLD_VERSION" != "4.1.1-1" ]; then
          prompt_input openemr/upgrade_not_supported critical ret_result
          unable_exit "Unable to upgrade from $OLD_VERSION version package with $UPGRADETYPE method, so can not upgrade the OpenEMR Package."
       fi